function [EEG] = shiftingPwelch(signal,frequency,window,windowShift,NFFT)
    signalShift=frequency*windowShift;
    signalWindow=frequency*window;
    shiftProp=window/windowShift;
    EEG=zeros([fix(floor(size(signal,1)/signalWindow)-1)*shiftProp+1,NFFT/2+1]);
    for j=1:fix(floor(size(signal,1)/signalWindow-1)*shiftProp+1)
        EEG(j,:)=pwelch(signal((j-1)*signalShift+1:(j-1)*signalShift+signalWindow),[],[],NFFT,2500);
    end
end